var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
import { view2d } from '@itk-viewer/viewer/view-2d.js';
import { LitElement, css, html } from 'lit';
import { customElement } from 'lit/decorators.js';
import { dispatchSpawn, handleLogic } from './spawn-controller.js';
let ItkView2d = class ItkView2d extends LitElement {
    constructor() {
        super(...arguments);
        this.dispatched = false;
    }
    setActor(actor) {
        this.actor = actor;
    }
    getActor() {
        return this.actor;
    }
    onSlice(event) {
        const target = event.target;
        this.actor.send({
            type: 'setSlice',
            slice: target.valueAsNumber,
        });
    }
    onScale(event) {
        const target = event.target;
        const scale = Number(target.value);
        this.actor.send({ type: 'setScale', scale });
    }
    render() {
        if (!this.dispatched) {
            dispatchSpawn(this, 'view', view2d, (actor) => this.setActor(actor));
            this.dispatched = true;
        }
        return html `
      <slot class="container" @renderer=${handleLogic(this.actor)}></slot>
    `;
    }
    static { this.styles = css `
    .container {
      flex: 1;
      min-height: 0;
      display: flex;
    }
  `; }
};
ItkView2d = __decorate([
    customElement('itk-view-2d')
], ItkView2d);
export { ItkView2d };
//# sourceMappingURL=itk-view-2d.js.map