import { LitElement } from 'lit';
import { Ref } from 'lit/directives/ref.js';
import './itk-viewer-element.js';
import { ItkViewer } from './itk-viewer-element.js';
import './itk-viewport.js';
import { ItkView3d } from './itk-view-3d.js';
import './itk-view-3d.js';
import './itk-view-3d-vtkjs.js';
import { ViewControlsShoelace } from './itk-view-controls-shoelace.js';
import './itk-view-controls-shoelace.js';
export declare class ItkViewer3d extends LitElement {
    viewer: Ref<ItkViewer>;
    view: Ref<ItkView3d>;
    controls: Ref<ViewControlsShoelace>;
    hideScaleUi: boolean;
    hideColorUi: boolean;
    hideTransferFunctionUi: boolean;
    getActor(): import("xstate").Actor<import("xstate").StateMachine<{
        viewports: import("@itk-viewer/viewer/viewport.js").ViewportActor[];
        images: Record<string, import("@itk-viewer/io/MultiscaleSpatialImage.js").MultiscaleSpatialImage>;
    }, import("@itk-viewer/viewer/children.js").CreateChild | {
        type: "setImage";
        image: import("@itk-viewer/io/MultiscaleSpatialImage.js").MultiscaleSpatialImage;
        name?: string;
    } | {
        type: "sendImageToViewports";
        image: import("@itk-viewer/io/MultiscaleSpatialImage.js").MultiscaleSpatialImage;
    }, {}, never, never, never, never, "active", string, import("xstate").NonReducibleUnknown, import("xstate").NonReducibleUnknown, import("xstate").EventObject, import("xstate").MetaObject, {
        readonly id: "viewer";
        readonly initial: "active";
        readonly context: {
            readonly viewports: [];
            readonly images: {};
        };
        readonly states: {
            readonly active: {
                readonly on: {
                    readonly createChild: {
                        readonly actions: readonly [import("xstate").ActionFunction<{
                            viewports: import("@itk-viewer/viewer/viewport.js").ViewportActor[];
                            images: Record<string, import("@itk-viewer/io/MultiscaleSpatialImage.js").MultiscaleSpatialImage>;
                        }, import("@itk-viewer/viewer/children.js").CreateChild, import("@itk-viewer/viewer/children.js").CreateChild | {
                            type: "setImage";
                            image: import("@itk-viewer/io/MultiscaleSpatialImage.js").MultiscaleSpatialImage;
                            name?: string;
                        } | {
                            type: "sendImageToViewports";
                            image: import("@itk-viewer/io/MultiscaleSpatialImage.js").MultiscaleSpatialImage;
                        }, undefined, never, never, never, never, never>];
                    };
                    readonly setImage: {
                        readonly actions: readonly [import("xstate").ActionFunction<{
                            viewports: import("@itk-viewer/viewer/viewport.js").ViewportActor[];
                            images: Record<string, import("@itk-viewer/io/MultiscaleSpatialImage.js").MultiscaleSpatialImage>;
                        }, {
                            type: "setImage";
                            image: import("@itk-viewer/io/MultiscaleSpatialImage.js").MultiscaleSpatialImage;
                            name?: string;
                        }, import("@itk-viewer/viewer/children.js").CreateChild | {
                            type: "setImage";
                            image: import("@itk-viewer/io/MultiscaleSpatialImage.js").MultiscaleSpatialImage;
                            name?: string;
                        } | {
                            type: "sendImageToViewports";
                            image: import("@itk-viewer/io/MultiscaleSpatialImage.js").MultiscaleSpatialImage;
                        }, undefined, never, never, never, never, never>, import("xstate").ActionFunction<{
                            viewports: import("@itk-viewer/viewer/viewport.js").ViewportActor[];
                            images: Record<string, import("@itk-viewer/io/MultiscaleSpatialImage.js").MultiscaleSpatialImage>;
                        }, {
                            type: "setImage";
                            image: import("@itk-viewer/io/MultiscaleSpatialImage.js").MultiscaleSpatialImage;
                            name?: string;
                        }, import("@itk-viewer/viewer/children.js").CreateChild | {
                            type: "setImage";
                            image: import("@itk-viewer/io/MultiscaleSpatialImage.js").MultiscaleSpatialImage;
                            name?: string;
                        } | {
                            type: "sendImageToViewports";
                            image: import("@itk-viewer/io/MultiscaleSpatialImage.js").MultiscaleSpatialImage;
                        }, undefined, never, never, never, never, never>];
                    };
                    readonly sendImageToViewports: {
                        readonly actions: readonly [({ context, event: { image } }: import("xstate").ActionArgs<{
                            viewports: import("@itk-viewer/viewer/viewport.js").ViewportActor[];
                            images: Record<string, import("@itk-viewer/io/MultiscaleSpatialImage.js").MultiscaleSpatialImage>;
                        }, {
                            type: "sendImageToViewports";
                            image: import("@itk-viewer/io/MultiscaleSpatialImage.js").MultiscaleSpatialImage;
                        }, import("@itk-viewer/viewer/children.js").CreateChild | {
                            type: "setImage";
                            image: import("@itk-viewer/io/MultiscaleSpatialImage.js").MultiscaleSpatialImage;
                            name?: string;
                        } | {
                            type: "sendImageToViewports";
                            image: import("@itk-viewer/io/MultiscaleSpatialImage.js").MultiscaleSpatialImage;
                        }>) => void];
                    };
                };
            };
        };
    }>> | undefined;
    render(): import("lit").TemplateResult<1>;
    protected firstUpdated(): Promise<void>;
    static styles: import("lit").CSSResult;
}
declare global {
    interface HTMLElementTagNameMap {
        'itk-viewer-3d': ItkViewer3d;
    }
}
//# sourceMappingURL=itk-viewer-3d.d.ts.map