var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
import { LitElement, html } from 'lit';
import { customElement } from 'lit/decorators.js';
import { viewportMachine } from '@itk-viewer/viewer/viewport.js';
import { dispatchSpawn, handleLogic } from './spawn-controller.js';
let ItkViewport = class ItkViewport extends LitElement {
    constructor() {
        super(...arguments);
        this.dispatched = false;
    }
    getActor() {
        return this.actor;
    }
    setActor(actor) {
        this.actor = actor;
    }
    render() {
        if (!this.dispatched) {
            dispatchSpawn(this, 'viewport', viewportMachine, (actor) => this.setActor(actor));
            this.dispatched = true;
        }
        return html `<slot @view=${handleLogic(this.actor)}></slot>`;
    }
};
ItkViewport = __decorate([
    customElement('itk-viewport')
], ItkViewport);
export { ItkViewport };
//# sourceMappingURL=itk-viewport.js.map