export const dispatchSpawn = (host, eventType, logic, onActor) => {
    const event = new CustomEvent(eventType, {
        bubbles: true,
        composed: true,
        detail: {
            logic: logic,
            onActor: onActor,
        },
    });
    host.dispatchEvent(event);
};
export const handleLogic = (parentActor) => {
    return (e) => {
        if (!parentActor)
            throw new Error('Parent actor not available');
        e.stopPropagation();
        const logic = e.detail.logic;
        parentActor.send({
            type: 'createChild',
            childType: e.type,
            logic,
            onActor: e.detail.onActor,
        });
    };
};
//# sourceMappingURL=spawn-controller.js.map